Skip to main content

DCC Refund


Overview

A DCC refund request refunds a captured DCC offer. These requests are used for both full and partial refunds.

When processing a refund, apply the same exchange rate used at the time of payment authorization. Ensure the refunded amount does not exceed the originally captured amount.

Endpoints

POST /pts/v2/payments/{id}/refunds

POST /pts/v2/payments/{id}/refunds

POST /pts/v2/payments/{id}/refunds

Visa Platform Connect Example

{  "clientReferenceInformation": {    "code": "TC50171_3"  },  "orderInformation": {    "amountDetails": {      "totalAmount": "157.00",      "currency": "AUD",      "exchangeRate": "1.57",      "originalAmount": "100.00",      "originalCurrency": "USD"    }  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/refunds/7625571873626990704805/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/refunds/7625571873626990704805"    }  },  "clientReferenceInformation": {    "code": "TC50171_3"  },  "id": "7625571873626990704805",  "orderInformation": {    "amountDetails": {      "currency": "AUD"    }  },  "reconciliationId": "7624789441456188503813",  "refundAmountDetails": {    "currency": "AUD",    "refundAmount": "157.00"  },  "status": "PENDING",  "submitTimeUtc": "2025-11-07T23:13:07Z"}

FDC Nashville Global Example

{  "clientReferenceInformation": {    "code": "TC50171_3"  },  "orderInformation": {    "amountDetails": {      "totalAmount": "100.00",      "currency": "USD",      "foreignAmount": "157.00",      "foreignCurrency": "AUD",      "exchangeRate": "1.57",      "exchangeRateTimeStamp": "20251108 12:12"    }  }}
{  "_links": {    "self": {      "href": "/pts/v2/refunds/4963014779006178301545",      "method": "GET"    },    "void": {      "href": "/pts/v2/refunds/4963014779006178301545/voids",      "method": "POST"    }  },  "id": "4963014779006178301545",  "submitTimeUtc": "2017-06-01T071757Z",  "status": "200",  "reconciliationId": "39571012D3DFEKS0",  "statusInformation": {    "reason": "SUCCESS",    "message": "Successful transaction."  },  "clientReferenceInformation": {    "code": "TC50171_3"  },  "orderInformation": {    "amountDetails": {      "currency": "USD"    }  },  "refundAmountDetails": {    "currency": "USD",    "refundAmount": "100.00"  }}

Required Fields

In addition to the normal fields required for a regular refund, these fields are required when DCC has been offered and the cardholder has chosen to pay in their billing currency.

orderInformation.amountDetails.currency string · Required

The cardholder's billing currency (matching the authorization).

orderInformation.amountDetails.exchangeRate string · Required

Exchange rate returned in the DCC offer response — must match the value used at authorization.

orderInformation.amountDetails.exchangeRateTimeStamp string · Required for FDI Global

Timestamp of the exchange rate. Required for FDI Global transactions.

orderInformation.amountDetails.foreignAmount string · Required for FDI Global

Foreign amount for the transaction. Required for FDI Global transactions.

orderInformation.amountDetails.foreignCurrency string · Required for FDI Global

Foreign currency for the transaction. Required for FDI Global transactions.

orderInformation.amountDetails.originalAmount string · Required for VPC

Amount of the refund in your local pricing currency. Required for Visa Platform Connect transactions.

orderInformation.amountDetails.originalCurrency string · Required for VPC

Your local pricing currency. Required for Visa Platform Connect transactions.

orderInformation.amountDetails.totalAmount string · Required

The total amount to refund in the cardholder's billing currency.

Last published: September 29, 2026